Loading...
Searching...
No Matches
websocketpp::utility Namespace Reference

Generic non-websocket specific utility functions and data structures. More...

## Classes

struct | my_equal
| Helper functor for case insensitive find. More...
struct | ci_less
| Helper less than functor for case insensitive find. More...

## Functions

template<typename T>
T::const_iterator | ci_find_substr (T const &haystack, T const &needle, std::locale const &loc=std::locale())
| Find substring (case insensitive).
template<typename T>
T::const_iterator | ci_find_substr (T const &haystack, typename T::value_type const *needle, typename T::size_type size, std::locale const &loc=std::locale())
| Find substring (case insensitive).
std::string | string_replace_all (std::string subject, std::string const &search, std::string const &replace)
| Replace all occurrances of a substring with another.
std::string | to_hex (std::string const &input)
| Convert std::string to ascii printed string of hex digits.
std::string | to_hex (uint8_t const *input, size_t length)
| Convert byte array (uint8_t) to ascii printed string of hex digits.
std::string | to_hex (char const *input, size_t length)
| Convert char array to ascii printed string of hex digits.

## Detailed Description

Generic non-websocket specific utility functions and data structures.

## Function Documentation

## ci_find_substr() [1/2]

template<typename T>

T::const_iterator websocketpp::utility::ci_find_substr | ( | T const & | haystack,
|  | T const & | needle,
|  | std::locale const & | loc = std::locale() )

Find substring (case insensitive).

Parameters

  [in] | haystack | The string to search in
  [in] | needle | The string to search for
  [in] | loc | The locale to use for determining the case of values. Defaults to the current locale.

Returns
  An iterator to the first element of the first occurrance of needle in haystack. If the sequence is not found, the function returns haystack.end()

Definition at line 101 of file utilities.hpp.

## ci_find_substr() [2/2]

template<typename T>

T::const_iterator websocketpp::utility::ci_find_substr | ( | T const & | haystack,
|  | typename T::value_type const * | needle,
|  | typename T::size_type | size,
|  | std::locale const & | loc = std::locale() )

Find substring (case insensitive).

Todo
  Is this still used? This method may not make sense.. should use iterators or be less generic. As is it is too tightly coupled to std::string

Parameters

  [in] | haystack | The string to search in
  [in] | needle | The string to search for as a char array of values
  [in] | size | Length of needle
  [in] | loc | The locale to use for determining the case of values. Defaults to the current locale.

Returns
  An iterator to the first element of the first occurrance of needle in haystack. If the sequence is not found, the function returns haystack.end()

Definition at line 123 of file utilities.hpp.

## string_replace_all()

std::string websocketpp::utility::string_replace_all | ( | std::string | subject,
|  | std::string const & | search,
|  | std::string const & | replace )

inline

Replace all occurrances of a substring with another.

Parameters

  [in] | subject | The string to search in
  [in] | search | The string to search for
  [in] | replace | The string to replace with

Returns
  A copy of subject with all occurances of search replaced with replace

Definition at line 59 of file utilities_impl.hpp.

## to_hex() [1/3]

std::string websocketpp::utility::to_hex | ( | char const * | input,
|  | size_t | length )

inline

Convert char array to ascii printed string of hex digits.

Parameters

  [in] | input | The char array to print
  [in] | length | The length of input

Returns
  A copy of input converted to the printable representation of the hex values of its data.

Definition at line 55 of file utilities_impl.hpp.

## to_hex() [2/3]

std::string websocketpp::utility::to_hex | ( | std::string const & | input | ) |

inline

Convert std::string to ascii printed string of hex digits.

Parameters

  [in] | input | The string to print

Returns
  A copy of input converted to the printable representation of the hex values of its data.

Definition at line 37 of file utilities_impl.hpp.

## to_hex() [3/3]

std::string websocketpp::utility::to_hex | ( | uint8_t const * | input,
|  | size_t | length )

inline

Convert byte array (uint8_t) to ascii printed string of hex digits.

Parameters

  [in] | input | The byte array to print
  [in] | length | The length of input

Returns
  A copy of input converted to the printable representation of the hex values of its data.

Definition at line 41 of file utilities_impl.hpp.